package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.ActiveDataDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.ActiveDataTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.MediaActiveDataDayDTO;
import com.zanxiang.game.data.serve.pojo.vo.*;
import com.zanxiang.game.data.serve.utils.Page;

public interface IActiveDataService {

    Page<ActiveDataDayVO> getActiveDataDay(ActiveDataDayDTO dto);

    ActiveDataTotalVO getActiveDataTotal(ActiveDataTotalDTO dto);

    /**
     * 游戏媒体留存数据
     * @param dto
     * @return
     */
    Page<MediaActiveDataDayVO> getMediaActiveDataDay(MediaActiveDataDayDTO dto);

    /**
     * 游戏媒体留存数据总计
     * @param dto
     * @return
     */
    MediaActiveDataTotalVO getMediaActiveDataTotal(MediaActiveDataDayDTO dto);

    /**
     * 留存数据-月
     * @param dto
     * @return
     */
    Page<ActiveDataMonthVO> getActiveDataMonth(ActiveDataDayDTO dto);

    /**
     * 留存数据-月总计
     * @param dto
     * @return
     */
    ActiveDataMonthTotalVO getActiveMonthDataTotal(ActiveDataTotalDTO dto);
}
